For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Media SecurityMalvertising DefenseAPI Reference
Media SecurityMalvertising DefenseAPI Reference
  • Reporting API
    • About the Reporting API
      • GETList available reports
      • GETFetch report URL
  • MediaGuard API
    • About the MediaGuard API
  • Malvertising API
    • POSTSubmit a creative for ad quality review
    • Push Result API overview
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Reporting APIReports

Fetch report URL

GET
https://dashboard.humansecurity.com/api/v5/reports/get
GET
/api/v5/reports/get
$curl -G https://dashboard.humansecurity.com/api/v5/reports/get \
> -u "<username>:<password>" \
> -d name=name \
> -d type=type
1{
2 "data": {
3 "url": "https://testurl.com",
4 "expires": "2015-05-21T22:10:07.634Z"
5 }
6}
Returns the URL of your requested report. You can then download the report file from its unique URL.
Was this page helpful?
Previous

About the MediaGuard API

Next
Built with

Authentication

AuthorizationBasic

To authenticate a request, provide an Authorization header with the value Basic base64(username:password). For example, if your HUMAN Auth ID is whiteops and your HUMAN Auth Key is secret, your Authorization header should be set to Basic d2hpdGVvcHM6c2VjcmV0.

Query parameters

namestringRequired
The name of the report you'd like to access. You can find a list of possible values from the List Reports response. This value should be URL encoded.
typestringRequired

The type of report to access. Possible values are report and export.

Response

Success
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error